.. py:currentmodule:: firefox_puppeteer.ui.browser.notifications

Notifications
=============

AddOnInstallBlockedNotification
-------------------------------

.. autoclass:: AddOnInstallBlockedNotification
   :members:
   :inherited-members:
   :show-inheritance:

AddOnInstallConfirmationNotification
------------------------------------

.. autoclass:: AddOnInstallConfirmationNotification
   :members:
   :inherited-members:
   :show-inheritance:

AddOnInstallCompleteNotification
--------------------------------

.. autoclass:: AddOnInstallCompleteNotification
   :members:
   :inherited-members:
   :show-inheritance:

AddOnInstallFailedNotification
------------------------------

.. autoclass:: AddOnInstallFailedNotification
   :members:
   :inherited-members:
   :show-inheritance:

AddOnProgressNotification
-------------------------

.. autoclass:: AddOnProgressNotification
   :members:
   :inherited-members:
   :show-inheritance:
